#include "eval_op.h"

eval_op::eval_op(const expression &expr)
{
    // set all of our member vars one time using expr getters
    expr_id_ = expr.get_expr_id();
    op_name_ = expr.get_op_name();
    op_type_ = expr.get_op_type();
    inputs_ = expr.get_inputs();
}


void eval_op::eval(vars_type & variables, const kwargs_type & kwargs)
{
    assert(false); // should be provided by derived classes
}

eval_op::~eval_op() {

}